package com.wdkl.ncs.android.middleware.logic.contract.conversion_box

import com.wdkl.ncs.android.lib.base.BaseContract
import com.wdkl.ncs.android.middleware.model.ServerInfo
import com.wdkl.ncs.android.middleware.model.dos.AppVersionDO
import com.wdkl.ncs.android.middleware.model.dos.PartSettingDO
import com.wdkl.ncs.android.middleware.model.dto.TcpSeverDTO
import com.wdkl.ncs.android.middleware.model.vo.DeviceNurseInfoVO

//定义接口
interface MainActivityContract {

    interface View :BaseContract.BaseView {

        fun showDeviceInfo(deviceInfo: DeviceNurseInfoVO)

        fun setPartSettings(partSetting : PartSettingDO)

        fun setTcpServerHost(tcpSeverDTO: TcpSeverDTO)

        fun setServerInfo(data: ServerInfo)

        fun loadAppVersion(appInfo: AppVersionDO)

        fun onNoNet()
    }

    interface Presenter :BaseContract.BasePresenter {

        //获取设备信息
        fun loadDeviceInfo(mac: String)

        //获取设置参数
        fun loadPartSettings(partId: Int)

        //获取tcp服务器地址
        fun loadTcpServerHost()

        fun loadServerInfo()

        //获取APP版本信息
        fun getAppVersion(partId: Int, deviceType: Int)

        fun setDeviceMac(device_mac: String, trans_audio_mac: String)
    }
}